main() 
{
	setExpFog(.00015, 0.03, .03, .03, 0);

	maps\mp\mp_fargo_midnight_fx::main(); 
	maps\mp\_load::main();

//Set background ambient noise
	ambientPlay("ambient_mp_fargo"); 

//Soldier Settings 
	game["allies"] = "american"; 
	game["axis"] = "german"; 
	game["attackers"] = "allies"; 
	game["defenders"] = "axis"; 
	game["american_soldiertype"] = "africa"; 
	game["german_soldiertype"] = "africa";

//Initialize the weapon respawner.
	WeaponRespawner("weapons", 60);
	WeaponRespawner("weapons_gunroom", 60);

	thread theDOORS(2);

}
	

theDOORS(howoften)
{
// set howoften to 2 for a 50/50 display or higher number for less often. 
   while(1)
   {
   for(d=0; d < 2; d++)
      {
      if(d == 0){
         doors = getentarray("door_move_x", "targetname");
         dir = "movex";
      }else{
         doors = getentarray("door_move_y", "targetname");
         dir = "movey";
      }
         if(doors.size > 0)
         {
            for(i=0; i < doors.size; i++)
            {
               this_num = randomint(howoften);
               if(this_num == 0)
               {
                  if(!isdefined(doors[i].isopen))
                  {
                     doors[i].isopen = "true";
                  }
                  if(doors[i].isopen == "true")
                  {
                     closedoor(doors[i], dir, 44);
                  }
                  else
                  {
                     opendoor(doors[i], dir, 44);
                  }
               }
            }
         }
      }
//   this_wait = randomint(4);
//   this_wait = (this_wait + 1) * 30;
//   iprintlnbold(this_wait);
//   wait (this_wait);
//   causes a random delay of 30, 60, 90, or 120 seconds
     wait (30);
   }
}

closedoor(door, dir, wid){
   if(dir == "movex")
	{
		door movex(wid, 2, .5, .5);
	}else{
		door movey(wid, 2, .5, .5);
	}
	door.isopen = "false";
}

opendoor(door, dir, wid){
	if(dir == "movex")
	{
		door movex(0-wid, 2, .5, .5);
	}else{
		door movey(0-wid, 2, .5, .5);
	}
	door.isopen = "true";
}


	
// Create multiplayer weapons in Radiant as follows:
// Create weapons in the 2d window with right click "weapons" and select a weapon with _mp at the end which is available in mp
// Set the targetname to a value of your choice, e.g. "weapons" and use the same value to kick off your respawners
// Optional: Set count to the number of weapons that spawn at a time, e.g. 3 for three grenades at once
// Optional: set script_timescale to the time in seconds between respawns

// In your main script include the below functions and place an initial call to the WeaponRespawner in the main routine of your map
// A typically call would be: "WeaponRespawner("weapons", 5);" that will manage all entities with targetname weapons and a default respawn delay of 5 seconds

WeaponRespawner(targetname, defaultrespawndelay)
{
// by sentchy
  weapons = getentarray(targetname, "targetname");
  if(weapons.size > 0)
  {
    for(i=0; i < weapons.size; i++)
    {
    if(!isdefined(weapons[i].script_timescale))
    weapons[i].script_timescale = defaultrespawndelay;
    // kick off a thread to listen for when the item gets picked up
    weapons[i] thread weapon_think(weapons[i].script_timescale);
    }
  }
}

// self = weapon reference
weapon_think(delaytime)
{
  // capture important weapon data first to allow us to respawn them
  classname = self.classname;
  model = self.model;
  count = self.count;
  org = self.origin;
  angles = self.angles;

  targetname = self.targetname;

  // Wait till the weapon gets picked up
  self waittill("trigger");

  // Wait the delay before respawn
  wait delaytime;

  // respawn the weapon
  weapon = spawn(classname, org);
  weapon.angles = angles;
  weapon.count = count;
  weapon setmodel(model);
  weapon.script_timescale = delaytime;
  weapon.targetname = targetname;

  // Kick off a new thread with the new weapon and kill the old one
  weapon thread weapon_think(delaytime);
}
